Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.repository
Class AbstractRepository

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.repository.AbstractRepository

All Implemented Interfaces:
  IAnalysisComponent, IRepository

Direct Known Subclasses:
  DescriptionRepository, SystemModelRepository, TraceColorRepository

    public abstract class AbstractRepository

extends AbstractAnalysisComponent
implements IRepository

This class should be used as a base for every repository used within Kieker.

Since:
  1.5
Author:
  Nils Christian Ehmke?

Field Summary

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`AbstractRepository(Configuration configuration, IProjectContext projectContext)` The second "default constructor".

Method Summary
`String` | `getRepositoryDescription()` This method delivers the description of this repository type.
`String` | `getRepositoryName()` This method delivers the repository name of this repository type.

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getCurrentConfiguration, getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.analysisComponent.IAnalysisComponent
`getCurrentConfiguration, getName`

Constructor Detail

### AbstractRepository

    public AbstractRepository(Configuration configuration,
                              IProjectContext projectContext)

  The second "default constructor".

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component. The component will be registered.

Method Detail

### getRepositoryName

    public final String getRepositoryName()

  This method delivers the repository name of this repository type. The name should be unique, e.g., the classname.

  Specified by:
    `getRepositoryName` in interface `IRepository`
  Returns:
    The name of the repository type.

### getRepositoryDescription

    public final String getRepositoryDescription()

  This method delivers the description of this repository type.

  Specified by:
    `getRepositoryDescription` in interface `IRepository`
  Returns:
    The description of the repository type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net